Name:		fence-virt
Version:	0.1.2
Release:	1%{?dist}
Summary:	A pluggable fencing framework for virtual machines
Group:		System Environment/Base
License:	GPLv2+
URL:		http://voxel.dl.sourceforge.net/project/fence-virt/fence-virt-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	corosynclib-devel cman-devel libvirt-devel openaislib-devel
BuildRequires:	automake autoconf libxml2-devel nss-devel nspr-devel
BuildRequires:	flex bison

%description
Fencing agent for virtual machines.


%package -n fence-virtd
Summary:	Daemon which handles requests from fence-virt
Group:		System Environment/Base

%description -n fence-virtd
This package provides the host server framework, fence_virtd,
for fence_virt.  The fence_virtd host daemon is resposible for
processing fencing requests from virtual machines and routing
the requests to the appropriate physical machine for action.


%package -n fence-virtd-multicast
Summary:	Multicast listener for fence-virtd
Group:		System Environment/Base
Requires:	fence-virtd

%description -n fence-virtd-multicast
Provides multicast listener capability for fence-virtd.


%package -n fence-virtd-libvirt
Summary:	Libvirt backend for fence-virtd
Group:		System Environment/Base
Requires:	libvirt > 0.6.0
Requires:	fence-virtd

%description -n fence-virtd-libvirt
Provides fence_virtd with a connection to libvirt to fence
virtual machines.  Useful for running a cluster of virtual
machines on a desktop.


%package -n fence-virtd-checkpoint
Summary:	Libvirt backend for fence-virtd
Group:		System Environment/Base
Requires:	fence-virtd

%description -n fence-virtd-checkpoint
Provides fence_virtd with a connection to libvirt to fence
virtual machines.  Utilizes corosync's CPG framework to route
requests as well as the AIS Checkpoint API to store virtual
machine states across a cluster and make intelligent decisions
about whether a virtual machine is running.


%prep
%setup -q


%build
./autogen.sh
%{configure}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING TODO README
%{_sbindir}/fence_virt

%files -n fence-virtd
%defattr(-,root,root,-)
%{_sbindir}/fence_virtd
%config(noreplace) /etc/fence_virt.conf
%dir %{_libdir}/%{name}
# TODO: init script to start fence_virtd
# TODO: auto-config utility

%files -n fence-virtd-multicast
%defattr(-,root,root,-)
%{_libdir}/%{name}/multicast.so

%files -n fence-virtd-libvirt
%defattr(-,root,root,-)
%{_libdir}/%{name}/libvirt.so

%files -n fence-virtd-checkpoint
%defattr(-,root,root,-)
%{_libdir}/%{name}/checkpoint.so

%changelog
* Mon Sep 21 2009 Lon Hohberger <lhh@redhat.com> 0.1.2-1
- Update to latest upstream version
- Fix build issue on i686

* Mon Sep 21 2009 Lon Hohberger <lhh@redhat.com> 0.1.1-1
- Update to latest upstream version
- Clean up spec file

* Mon Sep 21 2009 Lon Hohberger <lhh@redhat.com> 0.1-2
- Spec file cleanup

* Thu Sep 17 2009 Lon Hohberger <lhh@redhat.com> 0.1-1
- Initial build for rawhide
